Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices
Interface ClientConstants

All Known Subinterfaces:
  OracleCall, OracleStub

public interface ClientConstants

A class that holds all the constants used by Calls, Stubs, and ServiceFactory to set and get client side properties.

Field Summary
`static String` | `CHARACTER_SET_ENCODING` This property can be used for Stubs and Calls to get and set the character encoding which will be used to serialize the request soap message.
`static String` | `CHUNK_SIZE` This property can be used for Stubs and Calls to get and set the chunk size for SOAP messages sent over HTTP.
`static String` | `COOKIE_MAP` This property can be used for Stubs and Calls to get and set the Map of cookies used in a session.
`static String` | `DIME_ENCODE_MESSAGES_WITH_ATTACHMENTS` This property can be used for Stubs and Calls to specify whether DIME should be used to encode any attachments that are present instead of MIME.
`static String` | `DO_NOT_CHUNK` This property can be used for Stubs and Calls to specify whether chunking should be used for SOAP messages sent over HTTP.
`static String` | `JMS_TARGET_CORRELATION_ID` This property can be used for Stubs and Call to get and set the Correlation Identifier for JMS endpoints.
`static String` | `JMS_TARGET_MESSAGE_ID` This property can be used for Stubs and Calls to get the Message Identifier for JMS endpoints.
`static String` | `JMS_TARGET_REPLY_TO_FACTORY_NAME` This property can be used for Stubs and Calls to get and set the ReplyTo factory name for JMS endpoints.
`static String` | `JMS_TARGET_REPLY_TO_QUEUE_NAME` This property can be used for Stubs and Calls to get and set the ReplyTo queue name for JMS endpoints.
`static String` | `JMS_TARGET_REPLY_TO_TOPIC_NAME` This property can be used for Stubs and Calls to get and set the ReplyTo topic name for JMS endpoints.
`static String` | `JMS_TRANSPORT_REPLY_TO_FACTORY_NAME` This property can be used for Stubs and Calls to get and set the ReplyTo factory name for a JMS transport.
`static String` | `JMS_TRANSPORT_REPLY_TO_QUEUE_NAME` This property can be used for Stubs and Calls to get and set the ReplyTo queue name for a JMS transport.
`static String` | `SERVICEIMPL_NAME` A property to be set in the Properties parameter to indicate the service implementation class name when ServiceFactory.loadService() method is called.
`static String` | `SOAP_VERSION` This property can be used for Stubs and Calls to get and set SOAP version.
`static String` | `WSM_INTERCEPTOR_PIPELINE_CONFIG` This property can be used for Stubs and Calls to get and set the Web Service Management configuration and other properties.

Field Detail

### SERVICEIMPL_NAME

    public static final String SERVICEIMPL_NAME

  A property to be set in the Properties parameter to indicate the service implementation class name when ServiceFactory.loadService() method is called.

  Type: java.lang.String

  See Also:
    Constant Field Values

### JMS_TARGET_MESSAGE_ID

    public static final String JMS_TARGET_MESSAGE_ID

  This property can be used for Stubs and Calls to get the Message Identifier for JMS endpoints.

  Type: java.lang.String

  See Also:
    Constant Field Values

### JMS_TARGET_CORRELATION_ID

    public static final String JMS_TARGET_CORRELATION_ID

  This property can be used for Stubs and Call to get and set the Correlation Identifier for JMS endpoints.

  Type: java.lang.String

  See Also:
    Constant Field Values

### JMS_TARGET_REPLY_TO_TOPIC_NAME

    public static final String JMS_TARGET_REPLY_TO_TOPIC_NAME

  This property can be used for Stubs and Calls to get and set the ReplyTo topic name for JMS endpoints.

  Type: java.lang.String

  See Also:
    Constant Field Values

### JMS_TARGET_REPLY_TO_QUEUE_NAME

    public static final String JMS_TARGET_REPLY_TO_QUEUE_NAME

  This property can be used for Stubs and Calls to get and set the ReplyTo queue name for JMS endpoints.

  Type: java.lang.String

  See Also:
    Constant Field Values

### JMS_TARGET_REPLY_TO_FACTORY_NAME

    public static final String JMS_TARGET_REPLY_TO_FACTORY_NAME

  This property can be used for Stubs and Calls to get and set the ReplyTo factory name for JMS endpoints.

  Type: java.lang.String

  See Also:
    Constant Field Values

### JMS_TRANSPORT_REPLY_TO_QUEUE_NAME

    public static final String JMS_TRANSPORT_REPLY_TO_QUEUE_NAME

  This property can be used for Stubs and Calls to get and set the ReplyTo queue name for a JMS transport.

  Type: java.lang.String

  See Also:
    Constant Field Values

### JMS_TRANSPORT_REPLY_TO_FACTORY_NAME

    public static final String JMS_TRANSPORT_REPLY_TO_FACTORY_NAME

  This property can be used for Stubs and Calls to get and set the ReplyTo factory name for a JMS transport.

  Type: java.lang.String

  See Also:
    Constant Field Values

### WSM_INTERCEPTOR_PIPELINE_CONFIG

    public static final String WSM_INTERCEPTOR_PIPELINE_CONFIG

  This property can be used for Stubs and Calls to get and set the Web Service Management configuration and other properties.

  Type: `org.w3c.Element` or `java.io.File`

  See Also:
    Constant Field Values

### DIME_ENCODE_MESSAGES_WITH_ATTACHMENTS

    public static final String DIME_ENCODE_MESSAGES_WITH_ATTACHMENTS

  This property can be used for Stubs and Calls to specify whether DIME should be used to encode any attachments that are present instead of MIME. The default value is false.

  Type: java.lang.Boolean

  See Also:
    Constant Field Values

### SOAP_VERSION

    public static final String SOAP_VERSION

  This property can be used for Stubs and Calls to get and set SOAP version. The values are defind in `SOAPVersion`. If not set, the default value is `SOAPVersion.SOAP_1_1`.

  Type: java.lang.String

  See Also:
    Constant Field Values

### DO_NOT_CHUNK

    public static final String DO_NOT_CHUNK

  This property can be used for Stubs and Calls to specify whether chunking should be used for SOAP messages sent over HTTP. Default value is true.

  Type: java.lang.Boolean

  See Also:
    Constant Field Values

### CHUNK_SIZE

    public static final String CHUNK_SIZE

  This property can be used for Stubs and Calls to get and set the chunk size for SOAP messages sent over HTTP. The default chunk size is 4096.

  Type: java.lang.Integer

  See Also:
    Constant Field Values

### COOKIE_MAP

    public static final String COOKIE_MAP

  This property can be used for Stubs and Calls to get and set the Map of cookies used in a session. The key and value for entries in the map must be instances of HTTPClient.Cookie

  Type: java.util.Map

  See Also:
    Constant Field Values

### CHARACTER_SET_ENCODING

    public static final String CHARACTER_SET_ENCODING

  This property can be used for Stubs and Calls to get and set the character encoding which will be used to serialize the request soap message.

  Type: java.lang.String

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD